Handle Github Webhook
POST
/v1/events/github
const url = 'https://example.com/v1/events/github';const options = { method: 'POST', headers: {'X-GitHub-Event': '', 'X-GitHub-Delivery': '', 'X-Hub-Signature-256': ''}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/events/github \ --header 'X-GitHub-Delivery: ' \ --header 'X-GitHub-Event: ' \ --header 'X-Hub-Signature-256: 'Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”X-GitHub-Event
X-Github-Event
string
X-GitHub-Delivery
X-Github-Delivery
string
X-Hub-Signature-256
X-Hub-Signature-256
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
GitHubWebhookOut
object
Examplegenerated
{ "status": "example", "event": "example", "job_id": "example", "reason": "example", "delivery_id": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}